Page MenuHomePhabricator

Impossible to search a commit from Gerrit
Closed, ResolvedPublic

Description

  1. you have to use message: prefix
  2. it only searches from open commits by default
  3. doing message:foo is:merged takes forever

Version: unspecified
Severity: normal
URL: http://code.google.com/p/gerrit/issues/detail?id=1441
See Also:
http://code.google.com/p/gerrit/issues/detail?id=866

Details

Reference
bz36467

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:29 AM
bzimport added projects: Gerrit, Upstream.
bzimport set Reference to bz36467.
bzimport added a subscriber: Unknown Object (MLST).
demon added a comment.May 3 2012, 12:56 PM

(In reply to comment #0)

  1. doing message:foo is:merged takes forever

A lot of queries for is:merged are really slow. I'm curious if this is because the caches are colder for merged changes (since less people are searching them). The following query *also* takes a very long time: "is:merged CodeReview-2" (someone was asking me the other day if it was possible to have submitted a -2)

In any case, looks like something we can report upstream.

(In reply to comment #0)

  1. you have to use message: prefix

Request for full-text search is https://code.google.com/p/gerrit/issues/detail?id=866

  1. it only searches from open commits by default
  2. doing message:foo is:merged takes forever

And https://code.google.com/p/gerrit/issues/detail?id=1441 is "Optimize commit message search predicate"

(In reply to comment #2)

(In reply to comment #0)

  1. you have to use message: prefix

Request for full-text search is
https://code.google.com/p/gerrit/issues/detail?id=866

  1. it only searches from open commits by default
  2. doing message:foo is:merged takes forever

And https://code.google.com/p/gerrit/issues/detail?id=1441 is "Optimize
commit
message search predicate"

No movement in either.
Does gitblit make this report obsolete? It doesn't have fulltext search, but commit messages are indexed.

demon removed a subscriber: demon.Dec 8 2014, 6:33 PM
demon closed this task as Resolved.Jul 25 2016, 3:55 PM
demon claimed this task.
demon added a subscriber: demon.

Should be fixed (or at least better?) with the upgrade.